using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Valg.EVA.Skanning.Scan.ReadSoftEmulation.ScannerAccess
{
  internal  static class ScannerUtils
    {
        public static string TwainNameFromIsisName(string isisDataSourceName)
        {
            switch (isisDataSourceName)
            {
                case "Canon DR-G1130":
                    return "Canon DR-G1130 TWAIN";
                case "Fujitsu 5950":
                    return "PaperStream IP Fi-5950d";
                default:                    
                    return $"{isisDataSourceName?.Trim()} TWAIN";
            }
        }
    }
}

